#
# spec file for package lsb
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lsb
Version:        4.0.fake
Release:        4.2
Summary:        LSB Fake Package
License:        GPL-2.0-or-later
Group:          System/Fhs
URL:            https://www.linuxbase.org/
BuildRequires:  glibc-devel-32bit glibc-32bit
BuildRequires:  openSUSE-release
Requires:       %{_bindir}/ar
Requires:       %{_bindir}/at
Requires:       %{_bindir}/awk
Requires:       %{_bindir}/basename
Requires:       %{_bindir}/batch
Requires:       %{_bindir}/bc
Requires:       %{_bindir}/cat
Requires:       %{_bindir}/chfn
Requires:       %{_bindir}/chgrp
Requires:       %{_bindir}/chmod
Requires:       %{_bindir}/chown
Requires:       %{_bindir}/chsh
Requires:       %{_bindir}/cksum
Requires:       %{_bindir}/cmp
Requires:       %{_bindir}/col
Requires:       %{_bindir}/comm
Requires:       %{_bindir}/cp
Requires:       %{_bindir}/crontab
Requires:       %{_bindir}/csplit
Requires:       %{_bindir}/cut
Requires:       %{_bindir}/dd
Requires:       %{_bindir}/df
Requires:       %{_bindir}/diff
Requires:       %{_bindir}/dirname
Requires:       %{_bindir}/du
Requires:       %{_bindir}/echo
Requires:       %{_bindir}/ed
Requires:       %{_bindir}/env
Requires:       %{_bindir}/expand
Requires:       %{_bindir}/expr
Requires:       %{_bindir}/false
Requires:       %{_bindir}/file
Requires:       %{_bindir}/find
Requires:       %{_bindir}/fold
Requires:       %{_bindir}/foomatic-rip
Requires:       %{_bindir}/fuser
Requires:       %{_bindir}/gencat
Requires:       %{_bindir}/getconf
Requires:       %{_bindir}/gettext
Requires:       %{_bindir}/groups
Requires:       %{_bindir}/gs
Requires:       %{_bindir}/head
Requires:       %{_bindir}/hostname
Requires:       %{_bindir}/iconv
Requires:       %{_bindir}/id
Requires:       %{_bindir}/install
Requires:       %{_bindir}/ipcrm
Requires:       %{_bindir}/ipcs
Requires:       %{_bindir}/join
Requires:       %{_bindir}/kill
Requires:       %{_bindir}/killall
Requires:       %{_bindir}/ln
Requires:       %{_bindir}/locale
Requires:       %{_bindir}/localedef
Requires:       %{_bindir}/logger
Requires:       %{_bindir}/logname
Requires:       %{_bindir}/lp
Requires:       %{_bindir}/lpr
Requires:       %{_bindir}/ls
Requires:       %{_bindir}/m4
Requires:       %{_bindir}/mailx
Requires:       %{_bindir}/make
Requires:       %{_bindir}/man
Requires:       %{_bindir}/md5sum
Requires:       %{_bindir}/mkdir
Requires:       %{_bindir}/mkfifo
Requires:       %{_bindir}/mknod
Requires:       %{_bindir}/more
Requires:       %{_bindir}/mount
Requires:       %{_bindir}/msgfmt
Requires:       %{_bindir}/mv
Requires:       %{_bindir}/newgrp
Requires:       %{_bindir}/nice
Requires:       %{_bindir}/nl
Requires:       %{_bindir}/nohup
Requires:       %{_bindir}/od
Requires:       %{_bindir}/passwd
Requires:       %{_bindir}/paste
Requires:       %{_bindir}/patch
Requires:       %{_bindir}/pathchk
Requires:       %{_bindir}/pidof
Requires:       %{_bindir}/pr
Requires:       %{_bindir}/printf
Requires:       %{_bindir}/ps
Requires:       %{_bindir}/pwd
Requires:       %{_bindir}/renice
Requires:       %{_bindir}/rm
Requires:       %{_bindir}/rmdir
Requires:       %{_bindir}/rsync
Requires:       %{_bindir}/sed
Requires:       %{_bindir}/sh
Requires:       %{_bindir}/sleep
Requires:       %{_bindir}/sort
Requires:       %{_bindir}/split
Requires:       %{_bindir}/strip
Requires:       %{_bindir}/stty
Requires:       %{_bindir}/su
Requires:       %{_bindir}/sum
Requires:       %{_bindir}/sync
Requires:       %{_bindir}/tail
Requires:       %{_bindir}/tar
Requires:       %{_bindir}/tee
Requires:       %{_bindir}/test
Requires:       %{_bindir}/time
Requires:       %{_bindir}/touch
Requires:       %{_bindir}/tr
Requires:       %{_bindir}/true
Requires:       %{_bindir}/tsort
Requires:       %{_bindir}/tty
Requires:       %{_bindir}/umount
Requires:       %{_bindir}/uname
Requires:       %{_bindir}/unexpand
Requires:       %{_bindir}/uniq
Requires:       %{_bindir}/wc
Requires:       %{_bindir}/xargs
Requires:       %{_bindir}/xdg-desktop-icon
Requires:       %{_bindir}/xdg-desktop-menu
Requires:       %{_bindir}/xdg-email
Requires:       %{_bindir}/xdg-icon-resource
Requires:       %{_bindir}/xdg-mime
Requires:       %{_bindir}/xdg-open
Requires:       %{_bindir}/xdg-screensaver
Requires:       %{_sbindir}/groupadd
Requires:       %{_sbindir}/groupdel
Requires:       %{_sbindir}/groupmod
Requires:       %{_sbindir}/sendmail
Requires:       %{_sbindir}/shutdown
Requires:       %{_sbindir}/useradd
Requires:       %{_sbindir}/userdel
Requires:       %{_sbindir}/usermod
Requires:       Mesa
Requires:       cpio
Requires:       grep
Requires:       gzip
Requires:       lsb-release
Requires:       pax
Requires:       perl-base >= 5.8.8
Obsoletes:      lsb-desktop
Obsoletes:      lsb-runtime
Provides:       lsb = 2.0
Provides:       lsb-core-noarch = 2.0
Provides:       lsb-core-noarch = 3.2
Provides:       lsb-core-noarch = 4.0
Provides:       lsb-graphics-noarch = 2.0
Provides:       lsb-graphics-noarch = 3.2
Provides:       lsb-graphics-noarch = 4.0
%ifarch %{ix86}
Provides:       lsb-core-ia32 = 2.0
Provides:       lsb-core-ia32 = 3.2
Provides:       lsb-core-ia32 = 4.0
%else
%ifarch x86_64
Provides:       lsb-core-amd64 = 2.0
Provides:       lsb-core-amd64 = 3.2
Provides:       lsb-core-amd64 = 4.0
Provides:       lsb-core-ia32 = 2.0
Provides:       lsb-core-ia32 = 3.2
Provides:       lsb-core-ia32 = 4.0
%else
%ifarch s390x
Provides:       lsb-core-s390 = 2.0
Provides:       lsb-core-s390 = 3.2
Provides:       lsb-core-s390 = 4.0
%endif
%ifarch ppc64 ppc
Provides:       lsb-core-ppc32 = 2.0
Provides:       lsb-core-ppc32 = 3.2
Provides:       lsb-core-ppc32 = 4.0
%ifarch ppc64
Provides:       lsb-core-ppc64 = 2.0
Provides:       lsb-core-ppc64 = 3.2
Provides:       lsb-core-ppc64 = 4.0
%endif
%else
Provides:       lsb-core-%{_target_cpu} = 2.0
Provides:       lsb-core-%{_target_cpu} = 3.2
Provides:       lsb-core-%{_target_cpu} = 4.0
%endif
%endif
%endif
%ifarch %{ix86}
Provides:       lsb-graphics-ia32 = 2.0
Provides:       lsb-graphics-ia32 = 3.2
Provides:       lsb-graphics-ia32 = 4.0
%else
%ifarch x86_64
Provides:       lsb-graphics-amd64 = 2.0
Provides:       lsb-graphics-amd64 = 3.2
Provides:       lsb-graphics-amd64 = 4.0
Provides:       lsb-graphics-ia32 = 2.0
Provides:       lsb-graphics-ia32 = 3.2
Provides:       lsb-graphics-ia32 = 4.0
%else
%ifarch s390x
Provides:       lsb-graphics-s390 = 2.0
Provides:       lsb-graphics-s390 = 3.2
Provides:       lsb-graphics-s390 = 4.0
%endif
%ifarch ppc64 ppc
Provides:       lsb-graphics-ppc32 = 2.0
Provides:       lsb-graphics-ppc32 = 3.2
Provides:       lsb-graphics-ppc32 = 4.0
%ifarch ppc64
Provides:       lsb-graphics-ppc64 = 2.0
Provides:       lsb-graphics-ppc64 = 3.2
Provides:       lsb-graphics-ppc64 = 4.0
%endif
%else
Provides:       lsb-graphics-%{_target_cpu} = 2.0
Provides:       lsb-graphics-%{_target_cpu} = 3.2
Provides:       lsb-graphics-%{_target_cpu} = 4.0
%endif
%endif
%endif

%description
Necessary files and dependencies for the Linux Standard Base (LSB)
Core.

%prep

%build

%install
mkdir -p %{buildroot}/%{_lib}
mkdir -p %{buildroot}%{_sysconfdir}/lsb-release.d
echo -n "LSB_VERSION=\"core-2.0-noarch:core-3.2-noarch:core-4.0-noarch:" > %{buildroot}%{_sysconfdir}/lsb-release
%ifarch %{ix86}
echo -n "core-2.0-ia32:core-3.2-ia32:core-4.0-ia32" >>  %{buildroot}%{_sysconfdir}/lsb-release
%else
echo -n "core-2.0-%{_target_cpu}:core-3.2-%{_target_cpu}:core-4.0-%{_target_cpu}" >>  %{buildroot}%{_sysconfdir}/lsb-release
%endif
echo "\"" >> %{buildroot}%{_sysconfdir}/lsb-release
mkdir -p %{buildroot}%{_sysconfdir}/lsb-release.d
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-2.0-noarch
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-3.2-noarch
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-%{version}-noarch
touch %{buildroot}%{_sysconfdir}/lsb-release.d/desktop-%{version}-noarch
%ifarch %{ix86}
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-2.0-ia32
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-3.2-ia32
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-%{version}-ia32
touch %{buildroot}%{_sysconfdir}/lsb-release.d/desktop-%{version}-ia32
%else
%ifarch x86_64
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-2.0-amd64
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-3.2-amd64
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-%{version}-amd64
touch %{buildroot}%{_sysconfdir}/lsb-release.d/desktop-%{version}-amd64
%else
%ifarch s390x
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-2.0-s390
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-3.2-s390
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-%{version}-s390
touch %{buildroot}%{_sysconfdir}/lsb-release.d/desktop-%{version}-s390
%endif
%ifarch ppc64 ppc
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-2.0-ppc32
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-3.2-ppc32
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-%{version}-ppc32
touch %{buildroot}%{_sysconfdir}/lsb-release.d/desktop-%{version}-ppc32
%ifarch ppc64
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-2.0-ppc64
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-3.2-ppc64
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-%{version}-ppc64
touch %{buildroot}%{_sysconfdir}/lsb-release.d/desktop-%{version}-ppc64
%endif
%else
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-2.0-%{_target_cpu}
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-3.2-%{_target_cpu}
touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-%{version}-%{_target_cpu}
touch %{buildroot}%{_sysconfdir}/lsb-release.d/desktop-%{version}-%{_target_cpu}
%endif
%endif
%endif

%files
%dir %{_sysconfdir}/lsb-release.d
%{_sysconfdir}/lsb-release.d/*
%{_sysconfdir}/lsb-release

%changelog
* Tue Jan 28 2025 Dominique Leuenberger <dimstar@opensuse.org>
- No longer require python: the peak time of LSB is over, we mainly
  carry it for obscure 3rd-parties. But even those should no longer
  depend on python 2.
* Thu Oct 28 2021 Stephan Kulow <coolo@suse.com>
- Change all requires to be in /usr (bsc#1191073)
- Remove symlinks in /lib, we assume they aren't needed from those
  3rd party rpms that require lsb (time will tell)
* Mon Oct 12 2020 Dirk Mueller <dmueller@suse.com>
- update location of pidof and ed (bsc#1177540)
- spec-cleaner run
* Tue Feb 12 2019 Stephan Kulow <coolo@suse.com>
- Remove all desktop requires as they just don't fit with the way
  Tumbleweed moves. And most applications out there nowadays requiring
  'lsb' don't really mean the standard, but some kind of base system
  (see boo#1086166)
* Thu Mar 15 2018 dimstar@opensuse.org
- Drop the qt3 dependency: this is not really lsb(4) conform, but
  it's the 2nd best thing we can do short of keeping Qt3 in the
  products forever.
* Thu Aug 24 2017 idonmez@suse.com
- Fix missing double quote, unbreaks lsb_release
* Tue Aug 15 2017 kukuk@suse.de
- Revert change from Nov 18, 2015: copying the data from
  /etc/os-release to /etc/lsb-release does not work with a rolling
  release like Tumbleweed [bsc#960501]
* Tue Feb  7 2017 bg@suse.com
- Make package build on s390x
* Wed Nov 18 2015 jimmy@boombatower.com
- Set optional variables in /etc/lsb-release form /etc/os-release provided by openSUSE-release:
  - DISTRIB_ID
  - DISTRIB_RELEASE
  - DISTRIB_CODENAME
  - DISTRIB_DESCRIPTION
* Tue Oct  1 2013 pgajdos@suse.com
- require libpng12-0 instead of libpng12
* Thu Sep 26 2013 pgajdos@suse.com
- require [bnc#807747]
    /usr/bin/foomatic-rip
    /usr/bin/gs
    /usr/bin/xdg-desktop-icon
    /usr/bin/xdg-desktop-menu
    /usr/bin/xdg-email
    /usr/bin/xdg-icon-resource
    /usr/bin/xdg-mime
    /usr/bin/xdg-open
    /usr/bin/xdg-screensaver
    Mesa-libGL1
    libGLU1
    libXt6
    libXtst6
    libasound2
    libjpeg62
    libpng12
    libqt4
    libqt4-sql
    libqt4-x11
    mozilla-nss
* Thu Jul 19 2012 rmilasan@suse.com
- Updated "Requires: python >= 2.7.3", rear can't be installed
  otherwise, due to conflics.
* Mon Feb  7 2011 coolo@novell.com
- no need to buildrequire libstdc++
* Mon Jul 20 2009 kukuk@suse.de
- Split off lsb-release [bnc#483655]
* Wed Jan 14 2009 jdluhos@suse.cz
- Upgraded to LSB 4.0
* Sun Jul 29 2007 jdluhos@suse.cz
- Adapted to LSB 3.2
* Sat Jun 10 2006 kukuk@suse.de
- Merge back wth lsb-desktop and set version of provides to 3.0
* Thu May 18 2006 kukuk@suse.de
- Move lsb-graphics part to lsb-desktop
* Tue May 16 2006 kukuk@suse.de
- Bump version number for LSB 3.1
* Wed Apr 26 2006 ro@suse.de
- requires xorg-x11-Mesa -> Mesa
* Fri Feb 10 2006 kukuk@suse.de
- Remove obsolete insserv call
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 kukuk@suse.de
- Fix typo in Requires list
* Wed Nov  2 2005 kukuk@suse.de
- Add ed and mailx to requires [#131283]
* Fri Sep  9 2005 aj@suse.de
- s/target_arch/target_cpu/g; since the first is not defined
  [#115915].
* Thu Jun  9 2005 kukuk@suse.de
- Fix specfile to work on SLES9
* Thu Apr 14 2005 kukuk@suse.de
- Adjust to current LSB 3.0 draft
* Mon Feb 28 2005 kukuk@suse.de
- Remove makedev requirement and compatibility link
* Fri Jan  7 2005 kukuk@suse.de
- Fix provides on PPC32
* Wed Dec 15 2004 kukuk@suse.de
- Fix bi-arch provides on x86-64 and PPC64
* Mon Sep 13 2004 kukuk@suse.de
- Use "amd64" instead of "x86_64"
* Mon Sep  6 2004 kukuk@suse.de
- Fix macro names
* Tue Aug 31 2004 kukuk@suse.de
- Replace XFree86 -> xorg-x11
* Tue Jul 20 2004 kukuk@suse.de
- Implement LSB 2.0 requirements
* Mon May 24 2004 kukuk@suse.de
- Fix including of ld-lsb links on ppc64, s390x and x86-64
* Wed May  5 2004 kukuk@suse.de
- Rewrote handling of /etc/lsb-release and /etc/SuSE-release
* Thu Mar 25 2004 kukuk@suse.de
- Add X11 Libraries to Requires
* Wed Mar 24 2004 kukuk@suse.de
- Add init script to set NGROUPS_MAX LSB 1.3 conform
* Sat Mar 13 2004 kukuk@suse.de
- Fix requirements
* Wed Feb 25 2004 hmacht@suse.de
- building as nonroot-user
* Mon Sep  1 2003 kukuk@suse.de
- Use head -n 1 instead of head -1 [Bug #29624]
* Mon Jun 16 2003 kukuk@suse.de
- Make last change working
* Thu May 22 2003 meissner@suse.de
- on ppc64, include both ppc and ppc64 symlinks.
* Wed May 21 2003 kukuk@suse.de
- fix version number in release file
* Wed May  7 2003 kukuk@suse.de
- Change xdevel -> XFree86-devel
* Wed Apr 23 2003 aj@suse.de
- Add more missing ld-lsb-* links, create correct libdir.
* Thu Mar 20 2003 kukuk@suse.de
- Add missing ld-lsb-* links
* Tue Feb 25 2003 kukuk@suse.de
- Obsoletes lsb-runtime
* Wed Jan 15 2003 meissner@suse.de
- Changed ppc and ia6r4 ld.so symlinks to wanted look.
* Sat Jan 11 2003 kukuk@suse.de
- Add gettext to Requires for LSB 1.3
* Fri Jan 10 2003 kukuk@suse.de
- Don't require lsb-runtime, instead include symlink for ld-lsb
  for ix86
- Remove mh from requires
* Wed Oct 30 2002 meissner@suse.de
- Added support for ppc32. Specify symlink for ld-lsb.so.1 for ppc.
* Sat Jul 27 2002 kukuk@suse.de
- Check for UnitedLinux if no SuSE-release file found
* Fri Jul  5 2002 kukuk@suse.de
- Create LSB entry in etc/lsb-release
- Bump version number to 1.2
* Tue Mar  5 2002 kukuk@suse.de
- Remove ld-lsb.so.1 link
- Add requires for lsb-runtime
* Sun Feb 24 2002 kukuk@suse.de
- Add xdevel to requires
* Wed Feb  6 2002 kukuk@suse.de
- Add MAKEDEV compatibility link
* Sat Jan 19 2002 kukuk@suse.de
- Add glibc-i18ndata to requires to pass testsuite
- Increase version number to 1.1
* Fri Jan  4 2002 kukuk@suse.de
- Require all commands needed for LSB
* Fri Dec 14 2001 kukuk@suse.de
- Increase version number to 1.0
- Add pax to requires
* Tue Sep 18 2001 kukuk@suse.de
- Add expect to requires (not fixed in LSB-FHS 2.2)
* Wed Jan 17 2001 kukuk@suse.de
- Remove tclx from requires (should be fixed in FHS 2.2)
* Fri Jan 12 2001 kukuk@suse.de
- Add requires for FHS 2.1
- Update to lsb_release 1.4
* Mon Nov 27 2000 kukuk@suse.de
- Remove /etc/init.d symlink
* Wed Nov  1 2000 kukuk@suse.de
- Update to lsb_release 1.3
* Mon Sep 18 2000 kukuk@suse.de
- Initial version
